[manpage_begin pledge n 1.0]
[require   Tcl 8.6]
[require   pledge [opt 1.0]]
[moddesc   {pledge}]
[titledesc {Tcl interface to pledge(2)}]
[copyright {2018 Stuart Cassoff <stwo@users.sourceforge.net>}]
[see_also  pledge(2)]

[description]

	Provides a Tcl interface to pledge(2).

[section COMMANDS]

[usage {namespace import ::pledge::pledge}]

[list_begin definitions]

	[call [cmd pledge] [arg promises] [opt [arg execpromises]]]
		Sets the [arg promises] and [arg execpromises] for the current process.
		Promises arguments can be
		strings containing a list of space-separated promises,
		or "." to make no changes,
		or an empty string to restrict to only the [fun _exit(2)] call.
		Returns an empty string.
[list_end]

[manpage_end]
